
QGIS Application - Bug report #3655

Crash after resizing attribute table in dock window

2011-03-21 07:05 AM - Ivan Mincik

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: GUI

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13714

Description

Qgis is crashing after trying to resize attribute table placed in dock window

How to replicate: 

1. Configure Your QGIS to "Open attribute table in dock window"

2. Open shapefile containing some attribute data (sample data attached in this ticket)

3. Press "Layer -> Open Attribute Table" to open table

4. Try to resize attribute table by dragging table up.

Software details: OS Debian Lenny KDE 3

QGIS: Latest Trunk

GDB output and 'bt' attached

History

#1 - 2011-03-22 12:25 AM - Ivan Mincik

This problem is not present on Debian Squeeze, which is using Qt 4.6.3.

#2 - 2011-03-22 11:38 PM - Ivan Mincik

When testing on Debian Lenny, it seems that moving with any docked panel will lead to segfault.

#3 - 2011-03-23 03:26 AM - Paolo Cavallini

See also #3670

#4 - 2011-03-27 10:25 PM - Bill Williamson

- Resolution set to worksforme

- Status changed from Open to Closed

Could not reproduce.   

2025-04-27 1/3



Latest trunk on Win7.

#5 - 2011-03-27 11:42 PM - Ivan Mincik

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

The problem is still there.

Please do not cancel GUI bugs reported on Linux (with specific Qt version) after testing on Windows (with latest Qt I guess).

#6 - 2011-04-14 06:59 AM - Tim Sutton

Ivan I tested on Ubuntu Natty (Qt 4.7.2) and was not able to replicate this issue. I will test with Ubuntu 10.10 / Maverick later.

Looking at the backtrace, the issue happens deep inside Qt and I suspect it is only fixable by upgrading to a newer Qt version at some point. Will look

further at this ticket on my 10.10 machine. Unfortunately I dont have a lenny machine to test with.

Regards

Tim

#7 - 2011-04-14 07:08 AM - Ivan Mincik

Thanks for testing,

it is crashing mostly on older Qt, but it is confirmed by Paolo also on Debian unstable (#3670) which is using new Qt.

#8 - 2011-04-14 11:00 AM - Ivan Mincik

I wonder what was changed some one month ago, since until that time, there was no crashing. This is the reason I think, that this problem can be fixed

without Qt upgrade.

On the other side, if this bug will be leaved unfixed for older Qt, we need definitely increase supported Qt versions, because in current state, it makes QGIS

completely unusable with my Qt (which is first time since 1.0 when I am really not able to work with trunk version).

Ivan

#9 - 2011-04-15 04:30 AM - Saber Razmjooei

Works for me on Ubuntu 10.10 Qt 4.7.0

Regards, Pete

#10 - 2011-04-19 11:38 PM - Ivan Mincik

Testing again on Debian Lenny: something helped (maybe it was #2714), can not reproduce bug now.

Please wait for more tests.
#11 - 2011-04-20 06:40 AM - Ivan Mincik

- Resolution set to fixed

- Status changed from Feedback to Closed

Testing on Debian Squeeze: I can not replicate the problem.

We can close ticket now. Thanks.

Files

sample_data.tar.gz 20.1 KB 2011-03-21 Ivan Mincik
